/***************************************************************************
    file	         : kb_combobox.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_COMBOBOX_H
#define	__KB_COMBOBOX_H


#include	"rk_combobox.h"

/*  KBComboBox								*/
/*  ----------								*/
/*  This is just a simply wrapper around a combobox that provides a	*/
/*  read-only setting.							*/

class	KBComboBox : public RKComboBox
{
	Q_OBJECT

	bool	m_readOnly	;

public	:

	KBComboBox	(QWidget *, const char * = 0)	;

	virtual	bool	event		(QEvent *)	;
	void		setReadOnly	(bool)		;
}	;

#endif	// __KB_COMBOBOX_H
