/***************************************************************************
    file	         : kb_qryjoindlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	__KB_QRYJOINDLG_H
#define	__KB_QRYJOINDLG_H

#include	"kb_dialog.h"

class	RKComboBox	;
class	RKLineEdit	;

class	KBQryJoinDlg : public KBDialog
{
	Q_OBJECT

	RKLineEdit	*m_fldChild	;
	RKLineEdit	*m_fldParent	;
	RKComboBox	*m_cbJoin	;
	bool		m_doDel		;


protected slots :

	void		clickDelete	() ;

public	:

	KBQryJoinDlg
	(	const QString 	&,
		const QString	&,
		const QString	&,
		const QString	&,
		const QString	&,
		bool		= true,
		bool		= false
	)	;

	bool	getResults	(QString &)	;
	QString	childField	()		;
	QString	parentField	()		;
}	;

#endif	// __KB_QRYJOINDLG_H
