/***************************************************************************
    file	         : kb_designform.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

static	char	designForm[]	= 
"<?xml version=\"1.0\"?>\n"
"<!DOCTYPE KBaseForm SYSTEM \"kbaseform.dtd\">\n"
"<KBForm x=\"0\" y=\"0\" w=\"670\" h=\"430\" name=\"TableDesign\" rowcount=\"0\" dx=\"0\" dy=\"20\" language=\"py\" onload=\"#Load\" oncurrent=\"#Current\" onuncurrent=\"#UnCurrent\" autosync=\"No\" stretch=\"Yes\">\n"
"  <KBScript module=\"//script/py/TableDesignSTD\"/>\n"
"  <KBQryDesign server=\"${_server}\" table=\"${_table}\" create=\"${_create}\"/>\n"
"  <KBContainer taborder=\"1\" x=\"0\" y=\"10\" w=\"10\" h=\"220\" name=\"Main\" xmode=\"2\" ymode=\"2\" bgcolor=\"0xe1e1e1\" showbar=\"Yes\">\n"
"    <KBGrid x=\"40\" y=\"0\" w=\"20\" h=\"20\" xmode=\"2\" nosort=\"Yes\"/>\n"
"    <KBRowMark x=\"10\" y=\"20\" w=\"30\" h=\"20\" name=\"RowMark\" expr=\"RowMark\" taborder=\"0\" bgcolor=\"0xc0c0c0\" showrow=\"Yes\"/>\n"
"    <KBField x=\"40\" y=\"20\" w=\"150\" h=\"20\" name=\"Name\" expr=\"_name\" taborder=\"1\" nullok=\"Yes\" igncase=\"Yes\"/>\n"
"    <KBChoice x=\"190\" y=\"20\" w=\"100\" h=\"20\" name=\"Type\" master=\"_type\" taborder=\"2\" nullok=\"Yes\" onchange=\"#TypeChange\"/>\n"
"    <KBCheck x=\"300\" y=\"20\" w=\"40\" h=\"20\" name=\"PKey\" expr=\"_primary\" taborder=\"4\" onchange=\"#PrimaryChange\"/>\n"
"    <KBField x=\"350\" y=\"20\" w=\"20\" h=\"20\" xmode=\"2\" name=\"Description\" expr=\"_descrip\" taborder=\"6\" nullok=\"Yes\" igncase=\"Yes\"/>\n"
"  </KBContainer>\n"
"  <KBFormSubBlock taborder=\"0\" x=\"10\" y=\"210\" w=\"10\" h=\"200\" xmode=\"2\" ymode=\"1\" name=\"Details\" bgcolor=\"0xefe4bb\" frame=\"50,1\" rowcount=\"1\" dy=\"25\" onaction=\"#Action\">\n"
"    <KBLabel x=\"20\" y=\"10\" w=\"150\" h=\"20\" text=\"Length/Prec\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"30\" w=\"150\" h=\"20\" text=\"Null OK\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"50\" w=\"150\" h=\"20\" text=\"Indexed\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"70\" w=\"150\" h=\"20\" text=\"Unique\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"90\" w=\"150\" h=\"20\" text=\"Validator\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"110\" w=\"150\" h=\"20\" text=\"Ignore Case\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"130\" w=\"150\" h=\"20\" text=\"Default Value\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"150\" w=\"150\" h=\"20\" text=\"Format\" align=\"1\"/>\n"
"    <KBLabel x=\"20\" y=\"170\" w=\"150\" h=\"20\" text=\"Link\" align=\"1\"/>\n"
"    <KBField x=\"170\" y=\"10\" w=\"100\" h=\"20\" name=\"Length\" expr=\"_length\" taborder=\"1\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"270\" y=\"10\" w=\"100\" h=\"20\" name=\"Prec\" expr=\"_prec\" taborder=\"2\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"30\" w=\"200\" h=\"20\" name=\"NullOK\" master=\"_nullok\" taborder=\"3\" nullok=\"Yes\" values=\"No|Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"50\" w=\"200\" h=\"20\" name=\"Indexed\" master=\"_indexed\" taborder=\"4\" nullok=\"Yes\" values=\"No|Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"70\" w=\"200\" h=\"20\" name=\"Unique\" master=\"_unique\" taborder=\"5\" nullok=\"Yes\" values=\"No|Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"90\" w=\"200\" h=\"20\" name=\"Evalid\" expr=\"_evalid\" taborder=\"6\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBChoice x=\"170\" y=\"110\" w=\"200\" h=\"20\" name=\"Igncase\" master=\"_igncase\" taborder=\"7\" values=\"Yes|No\" nullok=\"Yes\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"130\" w=\"200\" h=\"20\" name=\"Defval\" expr=\"_defval\" taborder=\"8\" nullok=\"Yes\" align=\"1\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"150\" w=\"200\" h=\"20\" name=\"Format\" expr=\"_format\" taborder=\"9\" nullok=\"Yes\" align=\"1\" helper=\"format\" onenter=\"#EnterDesign\"/>\n"
"    <KBField x=\"170\" y=\"170\" w=\"200\" h=\"20\" name=\"Link\" expr=\"_link\" taborder=\"10\" nullok=\"Yes\" align=\"1\" helper=\"_tableLookup\" onenter=\"#EnterDesign\"/>\n"
"    <KBLabel x=\"400\" y=\"10\" w=\"10\" h=\"160\" xmode=\"2\" name=\"Info\" text=\"\" align=\"4097\"/>\n"
"  </KBFormSubBlock>\n"
"</KBForm>\n"
;
