/***************************************************************************
    file	         : rk_dcop.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__RK_DCOP_H
#define		__RK_DCOP_H

#include	<qcstring.h>
#include	<qvaluelist.h>

#include 	"libtkkde_exports.h"

typedef	QValueList<QCString>	QCStringList	;

#define K_DCOP	\
	public	:        							\
		virtual		bool	process					\
					(	const QCString		&,	\
						const QByteArray	&,	\
						QCString		&,	\
						QByteArray		&	\
					)	;				\
		QCStringList		functions  () ;				\
		QCStringList		interfaces () ;				\
	private	:

class	LIBTKKDE_API	RKDCOPObject
{
public	:

	RKDCOPObject	(const char *)	;

	virtual		bool	process
				(	const QCString		&,
					const QByteArray	&,
					QCString		&,
					QByteArray		&
				)	;
	virtual	QCStringList		functions  () ;				\
	virtual	QCStringList		interfaces () ;				\
	
	static	QCString normalizeFunctionSignature (const QCString &func) ;
}	;

#endif		// __RK_DCOP_H
