/***************************************************************************
    file	         : kb_pylink.cpp
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	<Python.h>

#include	"kb_classes.h"
#include	"kb_type.h"
#include	"kb_value.h"
#include	"kb_linktree.h"
#include	"kb_block.h"

#include	"kb_pybase.h"


static	PyMethodDef pyKBLink_methods[] =
{
	PY_METHOD_END
}	;

static	const char *pyKBLink_names  [] =
{
	"KBLink",
	0
}	;

void	initPyKBLink
	(	PyObject	*module
	)
{
	PyKBBase::makePythonClass
	(	"PyKBLink",
		module,
		pyKBLink_methods,
		"KBLinkTree",
		pyKBLink_names
	)	;
}
