/***************************************************************************
    file	         : kb_extra.cpp
    copyright            : (C) 1999,2000,2001,2002,2003 by Mike Richardson
			   (C) 2000,2001,2002,2003 by theKompany.com
			   (C) 2001,2002,2003 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/





#include	"kb_classes.h"
#include	"kb_extra.h"
#include	"kb_build.h"
#include	"kb_macro.h"

class	QStringList	;


KBFACTORYIMPL
(	KBExtraFactory,
	plugin_extra
)


QObject	*KBExtraFactory::create
	(	QObject		  *,
		cchar		  *,
		cchar		  *,
		const QStringList &
	)
{
	fprintf
	(	stderr,
		"KBExtraFactory::create: CALLED\n"
	)	;

	MACRODECL	(OpenForm 	)
	MACRODECL	(CloseForm	)
	MACRODECL	(Navigate	)
	MACRODECL	(ReloadForm	)
	MACRODECL	(SetField	)
	MACRODECL	(GetField	)
	MACRODECL	(OpenQuery 	)
	MACRODECL	(CloseQuery	)
	MACRODECL	(OpenReport 	)
	MACRODECL	(CloseReport	)
	MACRODECL	(OpenTable 	)
	MACRODECL	(CloseTable	)
	MACRODECL	(MessageBox	)
	MACRODECL	(CancelBox	)
	MACRODECL	(PromptBox	)
	MACRODECL	(SQL		)
	return	0	;
}

QString	KBExtraFactory::ident ()
{
	return	QString("Extra: %1%2 %3")
			.arg(getBuildRelease())
			.arg(getBuildBuild  ())
			.arg(getBuildTime   ())
			;
}
