/***************************************************************************
    file	         : kb_popupprompt.h
    copyright            : (C) 1999,2000,
			       2001,2002,2003,2004,2005 by Mike Richardson
			   (C) 2001,2002,2003,2004,2005 by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_POPUPPROMPT_H
#define	_KB_POPPUPROMPT_H


#include	"libkbase_exports.h"
#include	<qwidget.h>


class	RKLineEdit	;
class	RKVBox		;
class	RKHBox		;
class	KBDBInfo	;
class	KBSlot		;
class	KBObject	;

/*  KBPopupPrompt							*/
/*  -------------							*/

class	LIBKBASE_API	KBPopupPrompt : public QWidget
{
	Q_OBJECT

	RKLineEdit		*m_tValue	;
	KBObject		*m_target	;
	KBSlot			*m_slot		;
	bool			m_modal		;

protected slots :

	virtual	void		accept	()	;
	virtual	void		reject	()	;

public	:

	KBPopupPrompt
	(	const QString		&,
		const QString		&,
		const QString 		&,
		KBObject		*,
		const QString		&
	)	;

       ~KBPopupPrompt	() ;

	bool	ok	() ;
}	;

#endif	// _KB_POPPUPROMPT_H
