/***************************************************************************
    file	         : kb_qrysqldlg.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef	_KB_QRYSQLDLG_H
#define	_KB_QRYSQLDLG_H

#if	! __KB_RUNTIME


#include	"kb_classes.h"
#include	"kb_node.h"
#include	"kb_propdlg.h"

#include	"libkbase_exports.h"

/*  KBQrySQLPropDlg							*/
/*  -----------------							*/
/*  Wrapper class for SQL-query properties dialog. Handles special-	*/
/*  case properties.							*/

class LIBKBASE_API	KBQrySQLPropDlg : public KBPropDlg
{
	Q_OBJECT

	KBQrySQL		*m_query		;

protected :

	virtual	bool	showProperty	(KBAttrItem *)	;
	virtual	bool	saveProperty	(KBAttrItem *)	;

protected slots :

	virtual	void		clickVerify	()	;

public	:

	KBQrySQLPropDlg (KBQrySQL *, cchar *, QPtrList<KBAttr> &) ;
       ~KBQrySQLPropDlg () ;

	QString		nameForIdent	(const QString &) ;
}	;

#endif
#endif	// _KB_QRYSQLDLG_H
